MESG(1)

NUME
mesg - afișează (sau nu afișează) mesaje de la alți utilizatori

REZUMAT

mesg [opțiune] [n|y]

DESCRIERE

Aplicația mesg este invocată de un utilizator pentru a controla accesul în scris al altor persoane la dispozitivul terminal asociat cu ieșirea de eroare standard. Dacă accesul de scriere este permis, atunci programe precum talk(1) și write(1) pot afișa mesaje pe terminal.

În mod tradițional, accesul de scriere este permis în mod implicit. Cu toate acestea, pe măsură ce utilizatorii devin mai conștienți de diversele riscuri de securitate, există o tendință de a elimina accesul implicit de scriere, cel puțin pentru shell-ul principal de conectare.

Permisiunile inițiale pentru terminal sunt stabilite de login(1) în funcție de TTYPERM și TTYGROUP din /etc/login.defs. Modul implicit este 0620 dacă se utilizează un grup tty și 0600 fără grup. Numele implicit al grupului tty este „tty”.

Pentru a vă asigura că tty-urile dvs. sunt configurate într-o manieră portabilă și independentă de configurările sistemului, mesg ar trebui să fie executat în scripturile dvs. de autentificare.

mesg modifică permisiunile de scriere pentru un grup pe dispozitivul de terminal curent. Începând cu versiunea 2.41, mesg nu mai poate fi compilat pentru a face terminalul inscriptibil pentru alții și modifică strict numai permisiunile grupului. Configurația obișnuită este de a utiliza un grup „tty” și de a adăuga utilizatorii relevanți la acest grup. Alternativ, o soluție mai puțin sigură este să se configureze instrumente utilitare precum write(1) sau wall(1) pentru a activa bitul setgid pentru grupul „tty”.

Aplicația mesg iese în tăcere cu starea de eroare 2 dacă nu este executată într-un terminal. În acest caz, executarea mesg este inutilă. Opțiunea de linie de comandă --verbose obligă «mesg» să afișeze un avertisment în această situație. Acest comportament a fost introdus în versiunea 2.33.

ARGUMENTE

n
    Nu permite mesajele.

y
    Permite afișarea mesajelor.

Dacă nu sunt furnizate argumente, mesg afișează starea curentă a mesajului la ieșirea de eroare standard.

OPȚIUNI

-v, --verbose
    Explică ce se face în fiecare moment.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

STARE DE IEȘIRE

Aplicația mesg iese cu una dintre următoarele valori:

0
    Mesajele sunt permise.

1
    Mesajele nu sunt permise.

>1
    A apărut o eroare.

FIȘIERE

/dev/[pt]ty*, /dev/pts/[0-9]*

ISTORIC

mesg (I) apare în Manualul programatorului UNIX. Acesta obișnuia să inverseze starea curentă fără niciun argument înainte de versiunea 7 AT&T UNIX.

CONSULTAȚI ȘI

login(1), talk(1), write(1), wall(1), xterm(1)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda mesg face parte din pachetul util-linux care poate fi descărcat de la